glibmm: Gio::ProxyAddress Class Reference

glibmm 2.31.0.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gio::ProxyAddress Class Reference
Portable Network I/O Functionality

ProxyAddress - An internet address with proxy information. More...

`#include <giomm/proxyaddress.h>`

Inheritance diagram for Gio::ProxyAddress:
[legend]

List of all members.

## Public Member Functions
virtual | ~ProxyAddress ()
GProxyAddress* | gobj ()
| Provides access to the underlying C GObject.
const GProxyAddress* | gobj () const
| Provides access to the underlying C GObject.
GProxyAddress* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_protocol () const
| Gets proxy's protocol.
Glib::ustring | get_destination_hostname () const
| Gets proxy's destination hostname.
guint16 | get_destination_port () const
| Gets proxy's destination port.
Glib::ustring | get_username () const
| Gets proxy's username.
Glib::ustring | get_password () const
| Gets proxy's password.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_protocol () const
| The proxy protocol.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_destination_hostname () const
| The proxy destination hostname.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_destination_port () const
| The proxy destination port.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_username () const
| The proxy username.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_password () const
| The proxy password.
## Static Public Member Functions
static Glib::RefPtr< ProxyAddress > | create (const Glib::RefPtr< InetAddress >& address, guint16 port, const Glib::ustring& protocol, const Glib::ustring& destination_hostname, guint16 destination_port, const Glib::ustring& username=Glib::ustring(), const Glib::ustring& password=Glib::ustring())
## Protected Member Functions
| ProxyAddress (const Glib::RefPtr< InetAddress >& address, guint16 port, const Glib::ustring& protocol, const Glib::ustring& destination_hostname, guint16 destination_port, const Glib::ustring& username=Glib::ustring(), const Glib::ustring& password=Glib::ustring())
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gio::ProxyAddress > | wrap (GProxyAddress* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

ProxyAddress - An internet address with proxy information.

Support for proxied InetSocketAddress.

Since glibmm 2.28:

## Constructor & Destructor Documentation

virtual Gio::ProxyAddress::~ProxyAddress | ( |  | ) | `[virtual]`

Gio::ProxyAddress::ProxyAddress | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port,
|  | const Glib::ustring& | protocol,
|  | const Glib::ustring& | destination_hostname,
|  | guint16 | destination_port,
|  | const Glib::ustring& | username = `Glib::ustring()`,
|  | const Glib::ustring& | password = `Glib::ustring()`
| ) |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<ProxyAddress> Gio::ProxyAddress::create | ( | const Glib::RefPtr< InetAddress >& | address,
|  | guint16 | port,
|  | const Glib::ustring& | protocol,
|  | const Glib::ustring& | destination_hostname,
|  | guint16 | destination_port,
|  | const Glib::ustring& | username = `Glib::ustring()`,
|  | const Glib::ustring& | password = `Glib::ustring()`
| ) |  | `[static]`

Glib::ustring Gio::ProxyAddress::get_destination_hostname | ( |  | ) | const

Gets proxy's destination hostname.

Since glibmm 2.26:

Returns:
  The proxy's destination hostname.

guint16 Gio::ProxyAddress::get_destination_port | ( |  | ) | const

Gets proxy's destination port.

Since glibmm 2.26:

Returns:
  The proxy's destination port.

Glib::ustring Gio::ProxyAddress::get_password | ( |  | ) | const

Gets proxy's password.

Since glibmm 2.26:

Returns:
  The proxy's password.

Glib::ustring Gio::ProxyAddress::get_protocol | ( |  | ) | const

Gets proxy's protocol.

Since glibmm 2.26:

Returns:
  The proxy's protocol.

Glib::ustring Gio::ProxyAddress::get_username | ( |  | ) | const

Gets proxy's username.

Since glibmm 2.26:

Returns:
  The proxy's username.

const GProxyAddress* Gio::ProxyAddress::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InetSocketAddress.

GProxyAddress* Gio::ProxyAddress::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gio::InetSocketAddress.

GProxyAddress* Gio::ProxyAddress::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gio::InetSocketAddress.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gio::ProxyAddress::property_destination_hostname | ( |  | ) | const

The proxy destination hostname.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gio::ProxyAddress::property_destination_port | ( |  | ) | const

The proxy destination port.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gio::ProxyAddress::property_password | ( |  | ) | const

The proxy password.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gio::ProxyAddress::property_protocol | ( |  | ) | const

The proxy protocol.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gio::ProxyAddress::property_username | ( |  | ) | const

The proxy username.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::ProxyAddress > wrap | ( | GProxyAddress * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.